'use strict';

var __chunk_1 = require('../chunk-d2faeea1.js');
var iconHelpers = require('@rocketsoftware/icon-helpers');

var virtual_Sunset32 = {
  name: 'Sunset32',
  functional: true,
  // We use title as the prop name as it is not a valid attribute for an SVG
  // HTML element
  props: ['title'],
  render: function render(createElement, context) {
    var children = context.children,
        data = context.data,
        listeners = context.listeners,
        props = context.props;
    var attrs = iconHelpers.getAttributes(__chunk_1._objectSpread2({
      width: '32',
      height: '32',
      viewBox: '0 0 32 32',
      preserveAspectRatio: 'xMidYMid meet',
      xmlns: 'http://www.w3.org/2000/svg',
      // Special case here, we need to coordinate that we are using title,
      // potentially, to get the right focus attributes
      title: props.title
    }, data.attrs));
    var svgData = {
      attrs: attrs,
      on: listeners
    };

    if (data.staticClass) {
      svgData.class = __chunk_1._defineProperty({}, data.staticClass, true);
    }

    if (data.class) {
      svgData.class[data.class] = true;
    }

    return createElement('svg', svgData, [props.title && createElement('title', null, props.title), createElement('path', {
      attrs: {
        "d": "M12.556 30.005a3.953 3.953 0 0 1-.556-2 4 4 0 0 1 8 0 3.953 3.953 0 0 1-.556 2h2.207a6 6 0 1 0-11.302 0zm12.444-3h5v2h-5zm-3.313-6.101l3.506-3.506 1.414 1.414-3.506 3.506zM15 14.005h2v5h-2zm-9.606 4.808l1.415-1.414 3.505 3.506L8.9 22.319zM2 27.005h5v2H2z"
      }
    }), children]);
  }
};

module.exports = virtual_Sunset32;
